Get Message
curl --request GET \
--url https://api.example.com/api/v1/messages/{message_id}import requests
url = "https://api.example.com/api/v1/messages/{message_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/v1/messages/{message_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"phone_number": "<string>",
"content": "<string>",
"status": "<string>",
"direction": "<string>",
"retry_count": 123,
"whatsapp_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"chat_type": "individual",
"group_jid": "<string>",
"group_name": "<string>",
"message_type": "text",
"media_type": "<string>",
"media_url": "<string>",
"failure_reason": "<string>",
"whatsapp_message_id": "<string>",
"variable_values": {},
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contact_name": "<string>",
"campaign_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"batch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scheduled_for": "2023-11-07T05:31:56Z",
"queued_at": "2023-11-07T05:31:56Z",
"sent_at": "2023-11-07T05:31:56Z",
"delivered_at": "2023-11-07T05:31:56Z",
"read_at": "2023-11-07T05:31:56Z",
"failed_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}messages
Get Message
Get a single message by ID with full details.
GET
/
api
/
v1
/
messages
/
{message_id}
Get Message
curl --request GET \
--url https://api.example.com/api/v1/messages/{message_id}import requests
url = "https://api.example.com/api/v1/messages/{message_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/v1/messages/{message_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"phone_number": "<string>",
"content": "<string>",
"status": "<string>",
"direction": "<string>",
"retry_count": 123,
"whatsapp_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"chat_type": "individual",
"group_jid": "<string>",
"group_name": "<string>",
"message_type": "text",
"media_type": "<string>",
"media_url": "<string>",
"failure_reason": "<string>",
"whatsapp_message_id": "<string>",
"variable_values": {},
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contact_name": "<string>",
"campaign_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"batch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scheduled_for": "2023-11-07T05:31:56Z",
"queued_at": "2023-11-07T05:31:56Z",
"sent_at": "2023-11-07T05:31:56Z",
"delivered_at": "2023-11-07T05:31:56Z",
"read_at": "2023-11-07T05:31:56Z",
"failed_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Headers
Path Parameters
Response
Successful Response
Full message response with timeline.